#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	iproute2
Version		:	6.7.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Advanced IP routing and network device configuration tools
Group		:	Applications/system

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and Public Domain
URL		:	https://www.kernel.org/pub/linux/utils/net/iproute2/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	elfutils-libelf-devel
BuildRequires	:	libdb-devel
BuildRequires	:	libmnl-devel

Provides	:	iproute

#-----------------------------------------------------------------------------
%description
The iproute package contains networking utilities
(ip and rtmon, for example) which are designed
to use the advanced networking capabilities of
the Linux 2.4.x and 2.6.x kernel.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc README
%license COPYING
%{_sbindir}/arpd
%{_sbindir}/bridge
%{_sbindir}/ctstat
%{_sbindir}/dcb
%{_sbindir}/devlink
%{_sbindir}/genl
%{_sbindir}/ifstat
%{_sbindir}/ip
%{_sbindir}/lnstat
%{_sbindir}/nstat
%{_sbindir}/rdma
%{_sbindir}/routel
%{_sbindir}/rtacct
%{_sbindir}/rtmon
%{_sbindir}/rtstat
%{_sbindir}/ss
%{_sbindir}/tipc
%{_sbindir}/vdpa
%{_datadir}/bash-completion/completions/devlink
%{_datadir}/%{name}/bpf_pinning
%{_datadir}/%{name}/ematch_map
%{_datadir}/%{name}/group
%{_datadir}/%{name}/nl_protos
%{_datadir}/%{name}/rt_*
%{_mandir}/man7/*.7.gz
%{_mandir}/man8/*.8.gz
%exclude %{_mandir}/man8/tc.8.gz
%exclude %{_mandir}/man8/tc-*.8.gz

#=============================================================================
%package		devel
Summary		:	Header files and libraries for '%{name}' development

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The iproute2-devel package contains the header
files and libraries needed to develop programs
that use the iproute2 library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%license  COPYING
%{_includedir}/%{name}/bpf_elf.h
%{_includedir}/%{name}/libnetlink.h
%{_libdir}/libnetlink.a
%{_mandir}/man3/*.3.gz

#=============================================================================
%package		tc
Summary		:	Linux Traffic Control utility

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tc
The Traffic Control utility manages queueing disciplines,
their classes and attached filters and actions.
It is the standard tool to configure QoS in Linux.

#-----------------------------------------------------------------------------
%files			tc
%defattr(-,root,root,-)
%license COPYING
%{_sbindir}/tc
%{_libdir}/tc/*
%{_datadir}/bash-completion/completions/tc
%{_mandir}/man7/tc-*.7.gz
%{_mandir}/man8/tc.8.gz
%{_mandir}/man8/tc-*.8.gz

#=============================================================================
%package		doc
Summary		:	the '%{name}' utilities with examples

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		doc
The '%{name}' documentation contains howtos and
examples of settings.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%license COPYING
%doc examples

#=============================================================================
%prep
%setup -q
sed -i							\
  -e "/ARPD/d"						\
  Makefile

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

(
echo -e "\n"
echo -e "CONFDIR:=%{_libdir}/%{name}\n"
echo -e "SBINDIR=%{_sbindir}\n"
) >> config.mk

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	 NETNS_RUN_DIR=/run/netns

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} 							\
	DESTDIR=%{buildroot}					\
	SBINDIR=%{_sbindir}					\
	DOCDIR=%{_defaultdocdir}/%{name}-%{version}		\
	install

#installing libnetlink
install -D							\
	-m644 include/libnetlink.h				\
	%{buildroot}%{_includedir}/%{name}/libnetlink.h

install -D 							\
	-m644 lib/libnetlink.a					\
	%{buildroot}%{_libdir}/libnetlink.a

#-----------------------------------------------------------------------------
%changelog
